apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: alertmanager
  namespace: monitoring
  annotations:
    external-dns.alpha.kubernetes.io/target: "ingress-__RELEASE_NAME__.__REFERENCE_DOMAIN__"
spec:
  rules:
  - host: alertmanager-__RELEASE_NAME__.__REFERENCE_DOMAIN__
---
apiVersion: v1
kind: Service
metadata:
  labels:
    alertmanager: main
  name: alertmanager-main
  namespace: monitoring
spec:
  ports:
  - name: web
    port: 9093
    targetPort: web
  selector:
    alertmanager: main
    app: alertmanager
  sessionAffinity: ClientIP
---
apiVersion: getambassador.io/v1
kind: Mapping
metadata:
  name: mapping-alertmanager
  namespace: monitoring
spec:
  prefix: /
  host: alertmanager-__RELEASE_NAME__.__REFERENCE_DOMAIN__
  load_balancer:
    policy: round_robin
  resolver: kumori-default
  service: alertmanager-main.monitoring:9093
  timeout_ms: 60000
  bypass_auth: true